Why doesn't the downloading work?

Discussion in 'iPod touch 1.1.4 Jailbreak' started by oselemba, Jul 10, 2008.

  1. oselemba

    oselemba New Member

    Joined:
    Jul 10, 2008
    Messages:
    18
    Likes Received:
    0
    I've installed iLiberty+ on my 8gb Touch 1.1.4.

    But when I'm getting my apps it says error, need 1.1(1,2,3)

    Can I fix this?
  2. ThatWasOffTheHook

    ThatWasOffTheHook New Member

    Joined:
    Feb 17, 2008
    Messages:
    153
    Likes Received:
    0
    Device:
    iPod touch
    uh, make sure you have the latest version of iLiberty, if you do and still dont work, jjust use ZiPhone, its pretty good or wait for some more help..sorry this is all i can say

Share This Page